# EnergyManager_Generators
## Features
With this Mod, you can modify the Power Generation Value (in **kW**) of Vanilla & Modded(in Advanced Mode) Power Generator Buildings.
It also optionally allows you to apply the settings to existing Generators in your SaveGame. See the "Edit Existing" Setting.

Checkout the config of this mod!


## Easy Mode
Setting												|Possible Values		|Default    |Description													|Vanilla-Value
-													|-						|-          |-																|-
`Wind Turbine Max Power (kW)`						|Number (Int64)			|300		|Maximum kW a Wind Turbine can generate							|300
`Solar Panel Max Power (kW)`						|Number (Int64)			|360		|Maximum kW a Solar Panel can generate							|360
`Thermal Power Generator Max Power (kW)`			|Number (Int64)			|2160		|Maximum kW a Thermal Power Generator can generate				|2160
`Mini Fusion Power Generator Max Power (kW)`		|Number (Int64)			|9000		|Maximum kW a Mini Fusion Power Generator can generate			|9000
`Artificial Star Max Power (kW)`					|Number (Int64)			|75000		|Maximum kW a Artificial Star can generate						|75000


## Advanced Mode
Advanced settings can be useful if you have additional modded Power Generators & want to specify different values for them.
(At the moment you do not need advanced mode at all as no power generator mods are existing as of now)

In Advanced mode, Easy Mode settings get ignored!

To find out Modded ITEM IDs checkout the `LDBTool.CustomID.cfg` or ask the Generator Mod creator.


Setting							|Possible Values			|Default												|Description
-								|-							|-														|-
`Enabled`						|True/False (Boolean)		|False													|Enables/Disables Advanced Mode
`Power Generators Values`		|ItemID:DesiredKiloWatts	|`2203:300|2205:360|2204:2160|2211:9000|2210:75000`		|A Set of `ItemID:DesiredKiloWatts` seperated by `|`

Please checkout the Config descriptions!


## The EditExisting Setting
If enabled, the Mod will NOT ONLY work with new set Power Generator Buildings, but will also try to edit all existing ones when loading a Savegame.
You can keep it disabled if you did once(and saved your game) or if you do not want to edit existing Generators in your Savegame.
Also you can use this setting to reset to defaults(just enter the default values in any mode and activate this setting)
Note that any changes made in the Config, require the game to restart!
This setting will automatically deactivate once you load a game after activating it!

Setting				|Possible Values			|Default	|Description
-					|-							|-			|-
`Edit Existing`		|True/False (Boolean)		|False		|Enables/Disables Edit Existing


## Information
You may want to enable the console for debugging mods. It shows useful Information about this mod if you have problems with advanced mode.

In order to do so, open the `BepInEx` Config & be sure to set `Logging > UnityLogListening` to `True`.
Also set `Logging.Console > Enabled` to `True` & also have `Logging.Console > LogLevels` set to `Fatal, Error, Warning, Message, Info`. For this Mod, specially the `Message` Loglevel would be useful


## Installation
### With Mod Manager

Simply open the mod manager (if you don't have it install it [here](https://dsp.thunderstore.io/package/ebkr/r2modman/)), select **EnergyManager_Generators by Taki7o7**, then **Download**.

If prompted to download with dependencies, select `Yes`.

Then just click **Start modded**, and the game will run with the mod installed.

### Manually
Install BepInEx [here](https://dsp.thunderstore.io/package/xiaoye97/BepInEx/)

Then drag `EnergyManager_Generators.dll` into `steamapps/common/Dyson Sphere Program/BepInEx/plugins`.

## Feedback / Bug Reports
Feel free to contact me via Discord (juggalostll7#3942) for any feedback, bug-reports or suggestions.

## Changelog
### v1.1.0
- Fixed mod so that its loading with the current version of the game.
### v1.0.3 by Taki7o7
- Fixed mod loading before LDBTool which made the mod not function
### v1.0.2 by Taki7o7
- updated readme
### v1.0.1 by Taki7o7
- updated readme (replaced r2modman link)
### v1.0.0 by Taki7o7
- Initial release